List Destinations

Lists all destinations configured for your account. Results are paginated.

GET/destinations

This endpoint retrieves all event destinations configured for your Stedi account. You can filter the results by destination status or event type.

Each destination in the response includes summary information such as the destination name, URL, subscribed event types, status, and the last delivery time. To retrieve full details for a specific destination, use the Retrieve Destination endpoint.

Authorization
RequiredHeader

A Stedi API Key for authentication. Supports both test and production API keys.

Query Parameters

pageSize
NumberRange: ≥ 1 and ≤ 100

Number of items to return per page.

pageToken
StringLength: 1 - 1024

The nextPageToken value from a previous response. You can use this to get the next page of results. If not set, Stedi returns the first page of results.

status
String

The destination's current status. Stedi only sends event payloads to ENABLED destinations.

Possible values
ENABLED
DISABLED
eventType
StringLength: 1 - 255

Filter results by event type. Visit event types for a complete list.

Response

application/json
items
Array of ObjectsRequired

The list of destination summaries.

Array item
concurrencyLimit
items[].concurrencyLimit
NumberRange: ≥ 1

The maximum number of concurrent deliveries for this destination. Contact Stedi to change your account limits.

createdAt
items[].createdAt
StringRequiredFormat: date-time

Creation timestamp for this destination.

description
items[].description
StringRequiredMax length: 1024

A description of the destination's purpose, such as "Receives transaction enrollment task notifications."

destinationUrl
items[].destinationUrl
StringRequiredRegex pattern: ^https://.+$

The URL where Stedi delivers payloads through HTTP POST.

eventTypes
items[].eventTypes
Array of StringsRequiredMin items: 1

The event types Stedi sends to this destination. Visit event types for a complete list.

id
items[].id
StringRequiredRegex pattern: ^[a-z]{3,5}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

The unique identifier for the destination.

lastDeliveryTime
items[].lastDeliveryTime
StringFormat: date-time

The timestamp for Stedi's most recent delivery attempt to this destination. Absent when Stedi hasn't yet attempted a delivery.

name
items[].name
StringRequiredLength: 1 - 255

A human-readable name for the destination. Stedi displays this name in the portal.

status
items[].status
StringRequired

The destination's current status. Stedi only sends event payloads to ENABLED destinations.

Possible values
ENABLED
DISABLED
updatedAt
items[].updatedAt
StringRequiredFormat: date-time

Last update timestamp for this destination.

nextPageToken
StringLength: 1 - 1024

Token that you can supply in subsequent requests to retrieve the next page of results. If not returned, there are no more results.